## ros-rolling-rti-connext-dds-cmake-module 0.8.2

=== debian/changelog ===
ros-rolling-rti-connext-dds-cmake-module (0.8.2-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.7.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.5.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.4.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.1-1focal) focal; urgency=high

  * Pass ``-Wl,--no-as-needed`` for system dependencies of Connext 5.3.1.
  * Set ``IMPORTED_NO_SONAME true`` for Connext 5.3.1 imported library target.

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.0-1focal) focal; urgency=high

  * Add ``<buildtool_export_depend>`` for ``ament_cmake``.
  * Add ``<depend>`` for ``rti-connext-dds-5.3.1``

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.0-1focal) focal; urgency=high

  * Add dependency from rti-connext-dds-5.3.1.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.0-1focal) focal; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000
