=== debian/control ===
Source: ros-rolling-rti-connext-dds-cmake-module
Section: misc
Priority: optional
Maintainer: Andrea Sorbini <asorbini@rti.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rti-connext-dds-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Description: Helper module to provide access to RTI products like Connext DDS Professional
