## ros-rolling-rti-connext-dds-cmake-module 0.17.0

=== debian/changelog ===
ros-rolling-rti-connext-dds-cmake-module (0.17.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.16.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.15.1-1jammy) jammy; urgency=high

  * Use unified approach for checking the existence of environment variables (#105 <https://github.com/ros2/rmw_connextdds/issues/105>)
  * Contributors: Christopher Wecht

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.15.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.14.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.13.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.12.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.12.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.11.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.11.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.10.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.9.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.3-1jammy) jammy; urgency=high

  * Update rti-connext-dds dependency to 6.0.1. (#71 <https://github.com/ros2/rmw_connextdds/issues/71>)
  * Contributors: Steven! Ragnarök

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.2-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.7.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.5.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.4.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.1-1jammy) jammy; urgency=high

  * Pass ``-Wl,--no-as-needed`` for system dependencies of Connext 5.3.1.
  * Set ``IMPORTED_NO_SONAME true`` for Connext 5.3.1 imported library target.

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.0-1jammy) jammy; urgency=high

  * Add ``<buildtool_export_depend>`` for ``ament_cmake``.
  * Add ``<depend>`` for ``rti-connext-dds-5.3.1``

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.0-1jammy) jammy; urgency=high

  * Add dependency from rti-connext-dds-5.3.1.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.0-1jammy) jammy; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000
